using Microsoft.EntityFrameworkCore;
using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Models
{
    /// <summary>
    /// 酒店季节表 
    /// </summary>
    [Table("TBL_HOTEL_SEASON")]

    public class TBL_HOTEL_SEASON
    {
        /// <summary>
        /// 主机id
        /// </summary>
        [Key, Column(TypeName = "int"), Comment("id,自增长"), DatabaseGenerated(DatabaseGeneratedOption.Identity)]
        public int ID { get; set; }

        /// <summary>
        /// 酒店id
        /// </summary>
        [Column(TypeName = "int"), Comment("酒店id")]
        public int HOTELID { get; set; }


        /// <summary>
        /// 酒店id _OLD
        /// </summary>
        [Column(TypeName = "int"), Comment("巫工 酒店id")]
        public int HOTELID_OLD { get; set; }

        /// <summary>
        /// 月份1
        /// </summary>
        [Column(TypeName = "int"), Comment("月份列 对应的季节 春夏冬 是 123")]
        public int MONTH1 { get; set; }

        /// <summary>
        /// 月份2
        /// </summary>
        [Column(TypeName = "int"), Comment("月份列 对应的季节 春夏秋冬 是 1234")]
        public int MONTH2 { get; set; }

        /// <summary>
        /// 月份3
        /// </summary>
        [Column(TypeName = "int"), Comment("月份列 对应的季节 春夏冬 是 123")]
        public int MONTH3 { get; set; }


        /// <summary>
        /// 月份4
        /// </summary>
        [Column(TypeName = "int"), Comment("月份列 对应的季节 春夏冬 是 123")]
        public int MONTH4 { get; set; }


        /// <summary>
        /// 月份5
        /// </summary>
        [Column(TypeName = "int"), Comment("月份列 对应的季节 春夏冬 是 123")]
        public int MONTH5 { get; set; }


        /// <summary>
        /// 月份6
        /// </summary>
        [Column(TypeName = "int"), Comment("月份列 对应的季节 春夏冬 是 123")]
        public int MONTH6 { get; set; }


        /// <summary>
        /// 月份7
        /// </summary>
        [Column(TypeName = "int"), Comment("月份列 对应的季节 春夏冬 是 123")]
        public int MONTH7 { get; set; }



        /// <summary>
        /// 月份8
        /// </summary>
        [Column(TypeName = "int"), Comment("月份列 对应的季节 春夏冬 是 123")]
        public int MONTH8 { get; set; }



        /// <summary>
        /// 月份9
        /// </summary>
        [Column(TypeName = "int"), Comment("月份列 对应的季节 春夏冬 是 123")]
        public int MONTH9 { get; set; }


        /// <summary>
        /// 月份10
        /// </summary>
        [Column(TypeName = "int"), Comment("月份列 对应的季节 春夏冬 是 123")]
        public int MONTH10 { get; set; }


        /// <summary>
        /// 月份11
        /// </summary>
        [Column(TypeName = "int"), Comment("月份列 对应的季节 春夏冬 是 123")]
        public int MONTH11 { get; set; }



        /// <summary>
        /// 月份12
        /// </summary>
        [Column(TypeName = "int"), Comment("月份列 对应的季节 春夏冬 是 123")]
        public int MONTH12 { get; set; }

    }
}
